;+
; NAME:
;	F_3POW_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_3pow function.
;
; CALLING SEQUENCE: defaults = f_3pow_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, July 2004
;
;-
;------------------------------------------------------------------------------

FUNCTION F_3POW_DEFAULTS

defaults = { $
            fit_comp_params:           [1., 3.,30.,4.,400.,2.], $
            fit_comp_minima:           [1e-20,.5, 1., .5, 10., .5], $
            fit_comp_maxima:           [1e20, 12.,2e4,12.,2e4, 12.], $
            fit_comp_free_mask:        [1,1,0,0,0,0], $
            f_bpow_epivot:            50. $
           }

RETURN, defaults

END
