;+
; NAME:
;	F_EXP2_NODRM_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_exp2_nodrm function.
;   Just calls the normal version, f_exp2_defaults (most defaults are the same), and
;   modifies starting values. 
;
; CALLING SEQUENCE: defaults = f_exp_nodrm_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, 11-Apr-2014
;
;-
;------------------------------------------------------------------------------

FUNCTION F_EXP2_NODRM_DEFAULTS

defaults = { $
  fit_comp_params:           [1., 30.,  .05], $
  fit_comp_minima:           [0., -10., .01], $
  fit_comp_maxima:           [1., 50.,  10.], $
  fit_comp_free_mask:        [0,  1,    1] $
}

RETURN, defaults

END
