;+
; NAME:
;	F_EXP_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_exp function.
;
; CALLING SEQUENCE: defaults = f_exp_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, 17-Sep-2009
;
;-
;------------------------------------------------------------------------------

FUNCTION F_EXP_DEFAULTS

defaults = { $
            fit_comp_params:           [ 1.,   1.], $
            fit_comp_minima:           [1e-10, 1.], $
            fit_comp_maxima:           [1e10,  10.], $
            fit_comp_free_mask:        [1,     1] $
           }

RETURN, defaults

END
