;+
; NAME:
;	F_ION_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_ion function.
;
; CALLING SEQUENCE: defaults = f_ion_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, Aug 4, 2004
;
;-
;------------------------------------------------------------------------------

FUNCTION F_ION_DEFAULTS

defaults = { $
            fit_comp_params:       [ 1e6, 5, 35 ], $
            fit_comp_minima:           [1e-20, 2.0002, 1e0 ], $
            fit_comp_maxima:           [1e26,  20,     5e4 ], $
            fit_comp_free_mask:        [1,1,1] $
           }

RETURN, defaults

END