;+
; NAME:
;	F_MULTI_THERM_POW_EXP_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_multi_therm_pow_exp function.
;
; CALLING SEQUENCE: defaults = f_multi_therm_pow_exp_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, November 2013
;
;-
;------------------------------------------------------------------------------

FUNCTION F_MULTI_THERM_POW_EXP_DEFAULTS

defaults = { $
  fit_comp_params:      [    1., 0.087, 8.5,  7e0,   1e0,  1.], $
  fit_comp_minima:      [ 1e-10, 0.087, 8.5,  1.1,  1e-2, .01], $
  fit_comp_maxima:      [  1e15, 0.087, 8.5,  1e2,   1e2,  10.], $
  fit_comp_free_mask:   [    1b,    0b,   0b,  1b,    1b,  0b ], $

  fit_comp_spectrum:         'full', $
  fit_comp_model:            'chianti', $

  fc_spectrum_options:		['full','continuum','line'], $
  fc_model_options:			['chianti', 'mewe'] $
}

RETURN, defaults

END
