;+
; NAME:
;	F_PHOTON_THICK_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_photon_thick function.
;
; CALLING SEQUENCE: defaults = f_photon_thick_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Jana Kasparova, 30-Jan-2008, based on f_thick_defaults.pro
;
;-
;------------------------------------------------------------------------------
function f_photon_thick_defaults
  defaults = { $
  fit_comp_params:           [1.,   3., 50.,3.,   10.,1e3], $
  fit_comp_minima:           [1e-10, 2.1, 1.,2.1,1.,50.], $
  fit_comp_maxima:           [1e15,  20.,  1e7,20.,1e3,1e7], $
  fit_comp_free_mask:        [1b,    1b,   1b,1b, 1b,0b] $
             }

  return, defaults
end
