;+
; NAME:
;	F_PHOTON_THIN_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_photon_thin function.
;
; CALLING SEQUENCE: defaults = f_photon_thin_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Jana Kasparova, 30-Jan-2008, based on f_thin_defaults.pro
;
;-
function f_photon_thin_defaults


  defaults = { $
  fit_comp_params:           [1.,   2,   50.,2.,   10.,1e3], $
  fit_comp_minima:           [1e-10, 1.1, 1.,1.1,1.,50.], $
  fit_comp_maxima:           [1e15,  20.,  1e3,20.,1e3,1e4], $
  fit_comp_free_mask:        [1b,    1b,   1b,1b, 1b,0b] $
             }

  return, defaults
end
