;+
; NAME:
;    F_POSITRONIUM_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free
;    parameter mask when fitting to f_positronium function.
;
; CALLING SEQUENCE: defaults = f_positronium_defaults()
;
; INPUTS:
;    None
; OUTPUTS:
;    Structure containing default values

;  FUNCTION PARAMETERS:
; (0) - annihilation line flux
; (1) - positronium continuum flux
; (2) - annihilation line sigma
; (3) - annihilation line centroid
;
; Written: Oct 2007
;-

FUNCTION F_POSITRONIUM_DEFAULTS

defaults = { $
  fit_comp_params:       [1., 1., 0.1, 511], $
  fit_comp_minima:       [1.e-20, 1.e-20, 1., 450], $
  fit_comp_maxima:       [1.e20, 1.e20, 1.e6, 560], $
  fit_comp_free_mask:    [1B, 1B, 0B, 0B] $
  }

RETURN, defaults

END
