;+
; NAME:
;	F_TEMPLATE_NODRM_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, free parameter mask,
;   table to use, and table options when
;   fitting to f_template_nodrm function.
;
; CALLING SEQUENCE: defaults = f_template_nodrm_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
;  06-Oct-2020 - Written. Kim Tolbert
;
;-
;------------------------------------------------------------------------------

FUNCTION F_TEMPLATE_NODRM_DEFAULTS

defaults = { $
  fit_comp_params:           [1.e0], $
  fit_comp_minima:           [1e-20], $
  fit_comp_maxima:           [1e20], $
  fit_comp_free_mask:        [1b], $

  fit_comp_spectrum:         'escape', $

  fc_spectrum_options:	['escape'] $

}

RETURN, defaults

END
