;+
; NAME:
;	F_THICK_NUI_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_thick_nui function.
;
; CALLING SEQUENCE: defaults = f_thick_NUI_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, February 2004
; July 2011, Yang Su  changed this function for NUI code.
;
;-
;------------------------------------------------------------------------------

function f_thick_nui_defaults

defaults = { $
  fit_comp_params:      	 [1.,  4., 30., 0., 3., 10000.], $
  fit_comp_minima:           [1e-10,  1.1, 1., 0., 1., 200.], $
  fit_comp_maxima:           [1e10,  20,  1000, 1000,  200., 1e7], $
  fit_comp_free_mask:        [1,1,1,0,0,0] $
  }

return, defaults

end