function f_thick_warm_kappa_defaults
  ;+
  ; NAME:
  ; f_thick_warm_kappa_DEFAULTS
  ;
  ; PURPOSE: Function to return default values for
  ;   parameters, minimum and maximum range, and free parameter mask when
  ;   fitting with f_thick_warm_kappa function.
  ;
  ; CALLING SEQUENCE: defaults = f_thin_kappa_defaults()
  ;
  ; INPUTS:
  ; None
  ; OUTPUTS:
  ; Structure containing default values
  ;
  ; MODIFICATION HISTORY:
  ;Eduard@glasgow, 6-Apr-2018
  ;
  ;-
  ;------------------------------------------------------------------------------

  defaults = { $
    fit_comp_params:           [1.,     6,   1.8,   1000.,  20., 1.8,  5.,   1], $
    fit_comp_minima:           [1.e-10, 1.5, 0.01,   10,    1.,   0.1, 0.01, .1], $
    fit_comp_maxima:           [1.e15,  99., 50.,    1e4,   300., 50,  100., 10.], $
    fit_comp_free_mask:        [1b,     1b,   1b,    1b,    0b,   0b,  0b,   0b] $
  }

  return, defaults
end