function f_thin_kappa_defaults
;+
; NAME:
;	F_THIN_KAPPA_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_thin_kappa function.
;
; CALLING SEQUENCE: defaults = f_thin_kappa_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Jana Kasparova, 16-Jan-2009, based on Kim's defaults...
;
;-
;------------------------------------------------------------------------------

  defaults = { $
  fit_comp_params:           [1.,   1., 3.,1d3], $
  fit_comp_minima:           [1d-10, 0.01d0, 1.55, 50.], $
  fit_comp_maxima:           [1d15,  50.,  170.,1d4], $
  fit_comp_free_mask:        [1b,    1b,   1b,0b] $
             }

  return, defaults
end
