;+
; NAME:
;	F_VTH_NOLINE_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_vth_noline function.
;
; CALLING SEQUENCE: defaults = f_vth_noline_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, February 2004
;
;-
;------------------------------------------------------------------------------

function f_vth_noline_defaults

defaults = { $
  fit_comp_params:       [1e0,   2], $
  fit_comp_minima:           [1e-20, 5e-1], $
  fit_comp_maxima:           [1e20,  5e1], $
  fit_comp_free_mask:        1b+bytarr(2) $
  }

return, defaults

end
