; Purpose:  Return number of leap years that occurred between specified time and FERMI
;  reference time (1-jan-2001).
;  Add this number of going from elapsed time to time.
;  Subtract this number if going from time to elapsed time.

function fermi_nleap_sec, time

ref_utc = anytim('1-jan-2001 00:00:00.000')
ref_tai = anytim(ref_utc,/tai)

sec = anytim(time)
sec_tai = anytim(sec, /tai)

leap_sec = (ref_tai - ref_utc) - (sec_tai - sec)
return, leap_sec

end
