pro gbm_rd_pha, daily_files, ut2=ut2, data=data, type=type, erange=erange, status=status

status=0

;Daily_cspec_files can be the path with daily files or
;it can be a list of files.
ftype = type eq 'bgo' ? 'cspec_b' : 'cspec_n'
ff = gbm_get_filetype(daily_files, ftype, extension='.pha', count, nexpected=nexpected)
; in one case there were two files for each det, so nexpected was 12, but count was 24.  For 25-sep-2008 could handle
; this by giving both file names to ospex to read together, but for other cases, the might have overlapping times,
; so we'll skip for now.
if count eq 0 then return
if count ne nexpected then begin
  message,'Wrong number of files for ' + daily_files+' ' + ftype + '. Skipping.',/cont
  return
endif

obj=is_class(obj,'spex') ? obj : ospex(/no_gui)
obj->set, spex_specfile=ff[0]
d = obj->getdata()
dim = size(d.data,/dim)
ct_edge = get_edges(obj->get(/spex_ct_edges),/edges_1)
ierange = value_locate( ct_edge, erange) > 0 < (n_elements(ct_edge)-2)
nrange = n_elements(ierange)-1

ndet = n_elements(ff)

data = fltarr(nrange,ndet,dim[1])

for ix=0,ndet-1 do begin
  obj->set, spex_specfile=ff[ix]
  d=obj->getdata()
  for k=0,nrange-1 do $
    data[k,ix,*] = f_div(total(d.data[ierange[k]:ierange[k+1]-1,*],1),d.ltime[0,*])
endfor

ut2 = obj->getaxis(/ut, /edges_2)

if ~arg_present(obj) then obj_destroy, obj
status = 1

end
