;+
; PROJECT:
;	FERMI
; NAME:
;
;
; PURPOSE:
;
;
; CATEGORY:
;	QUICKLOOK AND CATALOG GENERATION FOR FERMI GBM
;
; CALLING SEQUENCE:
;
;
; CALLS:
;	none
;
; INPUTS:
;       none explicit, only through commons;
;
; OPTIONAL INPUTS:
;	none
;
; OUTPUTS:
;       none explicit, only through commons;
;
; OPTIONAL OUTPUTS:
;	none
;
; KEYWORDS:
;	none
; COMMON BLOCKS:
;	none
;
; SIDE EFFECTS:
;	none
;
; RESTRICTIONS:
;	none
;
; PROCEDURE:
;	none
;
; MODIFICATION HISTORY:
;	18-MAR-2010, richard.schwartz@nasa.gov
;
;-



function gbm_rd_poshist, poshistfile, utbase=utbase

change_sclk = 0
deltaut = 0.0
if keyword_set(utbase) then begin
	change_sclk = 1
	tbase = utbase eq 1 ? anytim('1-jan-1979') : anytim(utbase)
	deltaut =  anytim('1-jan-2001')- tbase
	endif
pos = mrdfits( poshistfile[0], 1, phdr, /silent)

utc = pos.sclk_utc +  deltaut
if change_sclk then begin
	pos = rep_tag_name(pos, 'SCLK_UTC','UTC')
	pos.utc = utc
	endif
return, pos
end