;+
;Name: Messenger_File_Search
;
;Purpose: This function returns the full path to a Messenger position vector file in the
;	sswdb_messenger/messengerresp directory. It will also find a file in the current directory
;	if by keyword switch
;Usage:
;
;Input:
;	Infile - filename, wildcards acceptable (for File_Search)

;Optional Keywords
;	USE_CURRENT - if set then look for infile int the working(current) directory
;	COUNT - number of files matching infile
;	ERROR - output, 0 if file(s) found, 1 otherwise
;	ERROR_MESSAGE (optional) - Error message
;-
function messenger_file_search, infile, error_message = message, $
	use_current=use_current, count=count, error_state = error
error = 1

default, infile, '*messenger*.txt'
if ~keyword_set( use_current ) then begin
	resp_dir = getenv('SSWDB_MESSENGER')
	if resp_dir eq '' then resp_dir = concat_dir ('$SSW_OSPEX', 'messengerresp')
	infile_found = file_search (concat_dir(resp_dir, infile), count= count, /full)
	endif else count = 0
if count eq 0 then infile_found = file_search ( infile, count= count, /full)
if count eq 0 then begin
	message =  keyword_set(message) ? message : infile + ' not found!'
	message, /info, message
	return, ''
	endif


error = 0
return, infile_found
end