;+
; Name: spex_smm_grs__define
;
; Purpose: Provide methods to deal with the smm grs data when downloading,etc. for OSPEX and SHOW_SYNOP.
;   
; Written: Kim Tolbert, 19-Mar-2019, based on spex_smm_hxrbs__define
; Modifications:
;-

function spex_smm_grs::init
return,1
end

;-----

function spex_smm_grs::search, time_range, count=count, _ref_extra=extra

spex_find_data, 'smm_grs', time_range, url=url, count=count, _extra=extra

if count eq 0 then return, ''

return, url
end

;-----
; function to sort file names by time
function spex_smm_grs::order, files, time_range, best=best, verbose=verbose
file_times = file2time(files, out_style='sec')
s = sort(file_times)
best = 0
return, files[s]
end

;-----
pro spex_smm_grs::select_files, files, time_range, specfile, drmfile

specfile = files[0]
drmfile = ''

end

;-----

pro spex_smm_grs__define
void = {spex_smm_grs, inherits spex_instr}
end