;+
; Name: spex_smm_hxrbs__define
;
; Purpose: Provide methods to deal with the smm hxrbs data when downloading,etc. for OSPEX and SHOW_SYNOP.
;   
; Written: Kim Tolbert, 18-Mar-2013
; Modifications:
; 24-Jul-2015.  Added order method
;-

function spex_smm_hxrbs::init
return,1
end

;-----

function spex_smm_hxrbs::search, time_range, count=count, _ref_extra=extra

spex_find_data, 'smm_hxrbs', time_range, url=url, count=count, _extra=extra

if count eq 0 then return, ''

return, url
end

;-----
; function to sort file names by time
function spex_smm_hxrbs::order, files, time_range, best=best, verbose=verbose
file_times = file2time(files, out_style='sec')
s = sort(file_times)
best = 0
return, files[s]
end

;-----
; We need .dat and .lbl files, but only want to select the .dat file for input as spex_specfile to OSPEX.
pro spex_smm_hxrbs::select_files, files, time_range, specfile, drmfile

specfile = files[0]
drmfile = ''

end

;-----

pro spex_smm_hxrbs__define
void = {spex_smm_hxrbs, inherits spex_instr}
end