function prob, p, n
; Compute the probability n interactions, i.e. Poisson probability
	fctrl=1+fltarr(n)
	for i=1,n-1 do fctrl(i)= i* fctrl(i-1)
	return, exp(-p)*p^findgen(n)/fctrl
end

pro convolute, pmulti, el, cnv, php, phs, drm=drm, cosine=cosine, gamma=gamma
;pmulti - probability of double event
;el     - output spectrum energies
;php    - normalized single photon pulse-height spectrum
;cnv    - multi-order convolved spectra, 0th is with no convolution
;cosine - cosine of detector to source
;gamma  - power-law spectral index
;phs    - convolved photon spectrum for 2*pmulti

apar = [0., 1.0, 1., gamma, 313., 2.0]
edg = findgen(1001)+5
edge_products, edg, edges_2= edg, mean=el, wid=wedg

if n_elements(drm) eq 0 then drm=build_drm( cos=cosine, high=1, chan_edges=edg, $
	det_type='spec', e_in=e_in, area=area)
edge_products, e_in, mean=em_in, width = w_in
f_model = 'f_vth_bpow'
model_in = call_function(f_model, em_in, apar) ;Model on input channels
if (size(drm))(0) eq 2 then ph = drm#(model_in*w_in) else ph = drm*model_in*w_in
php = ph
php = php/(total(php)) ;normalize the pulse-height spectrum to 1
ph(0) = 0
ph = ph/(total(ph)) ;normalize the pulse-height spectrum to 1

;Multiple orders of pile-up
if n_elements(cnv) eq 0 then begin
	cnv=fltarr(1000,9)
	cnv(*,0) = ph
	wj=indgen(1000)
	for j=1,8 do for i=0,999 do cnv(i,j) = total( ph(wj)*cnv(i-wj>0,j-1))
endif

plot_oo, el  ,php  ,psym=3,titl='Multi-Order Pile-up Pulse-Height Spectra',yran=[1e-7,1]
for j=1,8 do oplot, el, cnv(*,j), psy=3

;Average energy per event
print,total(el*ph)/total(ph)
;      20.7339


phs = total(cnv *rebin(reform(prob( pmulti, 9),1,9),1000,9), 2)

plot_oo, el, php, psym=3, titl='Multi-Order Pile-up Pulse-Height Spectra, P='+ $
  strtrim(string(pmulti),2),yran=[1e-7,1]
oplot, el, phs, psym=3, color=5

phs = total(cnv *rebin(reform(prob( pmulti*2, 9),1,9),1000,9), 2)
                                  
plot_oo, el, php, psym=3, titl='Multi-Order Pile-up Pulse-Height Spectra, P='+ $
  strtrim(string(pmulti*2),2),yran=[1e-7,1]
oplot, el, phs, psym=3, color=5

end

