;+
; NAME: CREATE_FAMILY
;
; CALLING SEQUENCE:
;	create_family, str, fam, title, commands
;
; SAMPLE CALLS:
;
; Each family of parameters has a corresponding structure that looks like:
;       str = {family_info, $
;		fam:'', $	; family name
;		title:'',$ 	; title for section of menu
;		commands:strarr(60)}  ; commands in this family
;
; CALLING ARGUMENTS:
;	STR - Name of structure to create or add to
;	FAM - String. Family name.
;	TITLE - Title to use for this family's section of the menu.
;	COMMANDS - Valid commands for this family
;
; Written 17-mar-94 akt
;-



 
pro create_family, str, fam, title, commands

new = 0

; check that str has been defined.  If not, define it.
if (size(str))(2) ne 8 then new = 1 else $
   if tag_names(str, /structure_name) ne 'FAMILY_INFO' then new = 1

if new then str = {family_info, fam:'', title:'', commands:strarr(60)} 

com60 = [commands, strarr(60-n_elements(commands))]
new_fam = {family_info, fam, title, com60}

if new then str = new_fam else str = [str, new_fam]

return & end
