;+
;
; NAME: NEAR_PIN_CAL
;
; PURPOSE:
;	This procedure returns the NEAR PIN PHA gain calibration vector.
;
; CATEGORY:
;	NEAR, SPEX, SPECTROSCOPIC ANALYSIS
;
; CALLING SEQUENCE:
;	NEAR_PIN_CAL, Enear
;
; CALLS:
;	none
;
; INPUTS:
;       none 
;
; OPTIONAL INPUTS:
;	Gain- default 1., keV/channel scales as 1/gain
;
; OUTPUTS:
;       Enear - The calibrated PHA edges for the NEAR PIN detector in keV
;
; OPTIONAL OUTPUTS:
;	none
;
; KEYWORDS:
;	none
; COMMON BLOCKS:
;	none
;
; SIDE EFFECTS:
;	none
;
; RESTRICTIONS:
;	none
;
; PROCEDURE:
;	none
;
; MODIFICATION HISTORY:
;	Version 1, RAS, 19-nov-1996
;-
pro near_pin_cal, enear, gain, offset

checkvar, gain, 1.0
;E=0.0369*keV/ch+.2211 keV ;original calibration
enear =(.03918/gain)*(findgen(257) - 0.5) - .05485 + offset > 1.001

end
