;+
; PROJECT:
;	SDAC
; NAME:
;       xps
; PURPOSE:
;       preview Postscript files
; CATEGORY:
;	SPEX, GRAPHICS
; CALLING SEQUENCE:
;       xps,file
; INPUTS:
;       file [def='idl.ps']
; OUTPUTS:
;       none
; PROCEDURE:
;       spawns local previewer
; RESTRICTIONS:
;	HIGHLY SITE DEPENDENT, NEEDS EXTENSIVE GENERALIZATION.
; HISTORY:
;       Written Jun'94 (DMZ,ARC)
;       mod by ras 25-aug-94 to enhance vms view call
;-

pro xps,file
on_error,1

if n_elements(file) eq 0 then file='idl.ps'

;-- file present?

f=loc_file(file,count=count)
if count eq 0 then begin
 message,'cannot locate '+file,/cont & return
endif else file=f(0)

;-- file open?

save_dev=!d.name & set_plot,'ps' 
if is_open(file) then begin
 message,'closing file',/info
 device,/close
endif
set_plot,save_dev

if !version.os eq 'vms' then preview='view /INTER=DECWINDOWS/FORMAT=PS'+file else begin
 chk=findfile('/usr/bin/X11/dxvdoc',count=count)
 if count eq 0 then message,'Postscript previewer not found'
 preview=chk(0)+' '+file+' &'
endelse
spawn,preview 

return & end

