;+
; NAME:
;       Dummy_rd
; PURPOSE:
;       This will find out how many lines at the start of
;       an ASCII file start with the charcter ";", so that
;       they can be ignored when inputting. There may be
;       a better way to do this.
; CALLING SEQUENCE:
;       n_dummy=Dummy_rd(filen0)
; INPUT:
;       filen0= an input filename
; OUTPUT:
;       n_dummy= the number of lines at the start of the file
;                that start with semicolons.
; HISTORY:
;       14-SEP-93 by JM
;-
FUNCTION Dummy_rd, filen0

;open file
   openr, unit, filen0, /get_lun
   tstr = strarr(1)
   count = -1
   REPEAT BEGIN
      count = count+1
      readf, unit, tstr      ;reads a line of string
      abc = strcompress(tstr(0),/remove_all)
      abc = strmid(abc, 0, 1)
   ENDREP UNTIL abc NE ';'
   n_dummy = count
   free_lun, unit
   RETURN, n_dummy
END

   
   
