pro sxs_ecal, echan1, echan2, amp_mode=amp_mode, hv_mode=hv_mode
;
;given the command mode, return the energy as a function of channel
;number
;
; echan1 - (2,128) lo hi edges for sxs1
; echan2 - (2,128) lo hi edges for sxs2


checkvar,hv_mode,0 ;0,1,2,3 allowed
checkvar,amp_mode,0

gain1 = .303 ;default value
gain2 = .282 ;default value

h = reform([1.0, 0.668, 1.472, 2.240, 1.0, 0.661, 1.470, 2.154],4,2)
g = reform([1.0, 1.359, 1.751, 2.756, 1.0, 1.472, 1.867, 3.018],4,2)

echan1 = [ findgen(128)+8.53, findgen(128)+9.53]*gain1/ $
	h(hv_mode,0)/g(amp_mode,0)
echan2 = [ findgen(128)+8.53, findgen(128)+9.53]*gain2/ $
	h(hv_mode,1)/g(amp_mode,1)

echan1 = transpose(reform(echan1,128,2))
echan2 = transpose(reform(echan2,128,2))

return
end
